import { Observable } from "rxjs";
import { BaseMessage } from "../dependencies/fisappmessagejsutilty/dependencies/dependencies";
import { LogSetting, MessageLog } from "../dependencies/fisloggingservice/type/datatype";

type IncomingMessageSetting =  LogSetting & {
    incomingObservable:Observable<BaseMessage>
 }
 
 // Incoming message Service Class
 export interface IncomingMessageServiceInterface  { 
 
     // Set default setting
     init(settings: IncomingMessageSetting ): void;
 }